Bug 3784 - Very similar strings in src/gtk/about.c
Summary: Very similar strings in src/gtk/about.c
Status: RESOLVED FIXED
Alias: None
Product: Claws Mail
Classification: Unclassified
Component: UI/Translations (show other bugs)
Version: 3.15.0
Hardware: PC Linux
: P3 minor
Assignee: users
URL:
Depends on:
Blocks:
 
Reported: 2017-03-16 08:27 CET by simon.legner
Modified: 2017-03-31 20:15 CEST (History)
0 users

See Also:


Attachments
Possible fix for this and removal of \n in translatable strings (8.76 KB, patch)
2017-03-18 19:32 CET, Ricardo Mones
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description simon.legner 2017-03-16 08:27:50 CET
The following two "Copyright (C) 1999-2017" strings are very similar and should be merged since they require retranslation every year:
- src/gtk/about.c:158
- src/gtk/about.c:841
Comment 1 Ricardo Mones 2017-03-18 19:32:27 CET
Created attachment 1733 [details]
Possible fix for this and removal of \n in translatable strings
Comment 2 users 2017-03-19 00:28:04 CET
Changes related to this bug have been committed.
Please check latest Git and update the bug accordingly.
You can also get the patch from:
http://git.claws-mail.org/

++ ChangeLog	2017-03-19 00:28:03.706349117 +0100
http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=bcc89fbb10c1ce66e586b8c2334ec4cbfc2ed443
Merge: 347c4f8 b99f300
Author: Colin Leroy <colin@colino.net>
Date:   Sun Mar 19 00:28:02 2017 +0100

    Merge branch 'master' of file:///home/git/claws

http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=b99f30096dc74e409edfb1fe8495ba0ec930e98d
Author: Ricardo Mones <ricardo@mones.org>
Date:   Sun Mar 19 00:25:43 2017 +0100

    Fix bug #3784: Very similar strings in src/gtk/about.c
    
    And remove also some 
 from translatable strings.
Comment 3 Ricardo Mones 2017-03-25 21:30:24 CET
Seems not only the '\n' were causing problems, an extra space which unfortunately was not removed by the patch applied has caused the strings not to merge, hence reopening.
Comment 4 users 2017-03-31 20:07:03 CEST
Changes related to this bug have been committed.
Please check latest Git and update the bug accordingly.
You can also get the patch from:
http://git.claws-mail.org/

++ ChangeLog	2017-03-31 20:07:03.322498932 +0200
http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=185c44463276d29c3b4f133f491119abeb0c6cb7
Merge: e34b359 7991589
Author: Colin Leroy <colin@colino.net>
Date:   Fri Mar 31 20:07:02 2017 +0200

    Merge branch 'master' of file:///home/git/claws

http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=799158990f4bdddbb23d23d6a9e7a0795761fa59
Author: Ricardo Mones <ricardo@mones.org>
Date:   Fri Mar 31 20:06:19 2017 +0200

    Really fix bug #3784: Very similar strings in src/gtk/about.c

http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=a8a52797f33b4ceddf8841094c4384637af47306
Author: Ricardo Mones <ricardo@mones.org>
Date:   Fri Mar 31 20:05:25 2017 +0200

    Add missing library to output of --version-full